#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    childproperty.h pcombobox.h pdummywidget.h
    ppointedit.h propertymachinefactory.h
    pcursoredit.h pfontbutton.h prectedit.h
    propertywidget.h pdateedit.h pfontcombo.h
    property.h psizeedit.h pdatetimeedit.h
    plineedit.h propertyeditor.h psizepolicyedit.h
    pdoublenuminput.h ppixmapedit.h propertylist.h
    pspinbox.h propertywidgetproxy.h multiproperty.h
    pyesnobutton.h purledit.h psymbolcombo.h
    pstringlistedit.h pcolorcombo.h pcolorbutton.h
    pcheckbox.h plinestyleedit.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/propeditor )


##### kdevpropertyeditor (shared) ###############

tde_add_library( kdevpropertyeditor SHARED AUTOMOC
  SOURCES
    childproperty.cpp pcombobox.cpp pdummywidget.cpp
    ppointedit.cpp propertymachinefactory.cpp
    pstringlistedit.cpp multiproperty.cpp pcursoredit.cpp
    pfontbutton.cpp prectedit.cpp propertywidget.cpp
    psymbolcombo.cpp pcheckbox.cpp pdateedit.cpp pfontcombo.cpp
    property.cpp psizeedit.cpp purledit.cpp pcolorbutton.cpp
    pdatetimeedit.cpp plineedit.cpp propertyeditor.cpp
    psizepolicyedit.cpp pyesnobutton.cpp pcolorcombo.cpp
    pdoublenuminput.cpp ppixmapedit.cpp propertylist.cpp
    pspinbox.cpp propertywidgetproxy.cpp plinestyleedit.cpp
    qeditlistbox.cpp
  VERSION 0.0.0
  LINK tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
